LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-12-2019, 09:58 PM   #1
rainsnow19
LQ Newbie
 
Registered: Aug 2018
Posts: 4

Rep: Reputation: Disabled
Unhappy Trying to use youtube-dl and getting the following error message


Code:
youtube-dl https://www.youtube.com/watch?v=dJ0o_WVlyoQ


[youtube] dJ0o_WVlyoQ: Downloading webpage
[youtube] dJ0o_WVlyoQ: Downloading embed webpage
[youtube] dJ0o_WVlyoQ: Refetching age-gated info webpage
WARNING: Unable to extract video title
[youtube] dJ0o_WVlyoQ: Downloading js player vfl2pEEGH
ERROR: Signature extraction failed: Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1232, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1140, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1204, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/common.py", line 983, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 (caused by RegexNotFoundError('Unable to extract \x1b[0;34mInitial JS player signature function name\x1b[0m; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.')); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 
Old 09-12-2019, 10:39 PM   #2
evo2
LQ Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and CentOS
Posts: 5,998

Rep: Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388Reputation: 1388
Hi,

did you do what it says? Eg check you are running the latest version?
I get the same error using version 2019.01.17 but it works with 2019.09.12.1.

Evo2.
 
1 members found this post helpful.
Old 09-13-2019, 09:03 AM   #3
rnturn
Senior Member
 
Registered: Jan 2003
Location: Illinois (Chicago area)
Distribution: CentOS, MacOS, [Open]SuSE, Raspian, Red Hat, Slackware, Solaris, Tru64
Posts: 1,501

Rep: Reputation: 167Reputation: 167
Quote:
Originally Posted by rainsnow19 View Post
Code:
youtube-dl https://www.youtube.com/watch?v=dJ0o_WVlyoQ


[youtube] dJ0o_WVlyoQ: Downloading webpage
[youtube] dJ0o_WVlyoQ: Downloading embed webpage
[youtube] dJ0o_WVlyoQ: Refetching age-gated info webpage
WARNING: Unable to extract video title
[youtube] dJ0o_WVlyoQ: Downloading js player vfl2pEEGH
ERROR: Signature extraction failed: Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1232, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1140, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/youtube.py", line 1204, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3/dist-packages/youtube_dl/extractor/common.py", line 983, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 (caused by RegexNotFoundError('Unable to extract \x1b[0;34mInitial JS player signature function name\x1b[0m; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.')); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
With the frequent changes that YouTube makes to its web site and page formats, the youtube-dl developer(s) are continually having to hit a moving target. If you haven't updated youtube-dl recently, the error you're seeing is likely from using an out-of-date version---even if it's only a week old.
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
actually while debugging an assembly language i have got the following error can any body figure out how i can rectify the following error niranjan1609 Linux - Newbie 3 06-03-2018 05:21 PM
I have tried to get Deepin to recognise my HP3630 wifi printer but keep getting the following error message: CUPS server error - 'server-err Sawsmith Linux Deepin 30 03-09-2018 01:53 PM
i use the following way to install vlc in cent os but i got the following error praveenkalam Linux - Software 6 12-21-2009 03:49 AM
get the following error message when trying to create a full text index for any datab lieuquocdat Linux - Software 0 11-01-2007 04:33 AM
Why i m getting the following error message "make[3]: *** [tcl_ovsec_kadm.o] Error 1" shanu Linux - Software 1 03-10-2005 11:54 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 08:41 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration